Skip to main content
`Ctrl`+`K`

# SNESConverged

Run the convergence test and update the `SNESConvergedReason`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESConverged(SNES snes, PetscInt it, PetscReal xnorm, PetscReal snorm, PetscReal fnorm)

Collective

## Input Parameters

- snes - the `SNES` context

- it - current iteration

- xnorm - 2-norm of current iterate

- snorm - 2-norm of current step

- fnorm - 2-norm of function

## Note

This routine is called by the `SNESSolve()` implementations. It does not typically need to be called by the user.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSolve`, `SNESSetConvergenceTest()`, `SNESGetConvergenceTest()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages